<?php

function wettkampf_wkochen_wkochenergebnis_run_private($op, $subop=false){
	global $session;
	page_header("Der Platz der Vlker");
		require_once("lib/fert.php");	
		$kochen=get_fertigkeit(kochen);	
		$schwierigkeit=get_module_setting("schwierigkeit", "wettkampf");
		$wkochen=0;	
	
		output("`@`bDer Koch- und Backwettbewerb`b`n");
			 
	//Probe
		$t1=probe($kochen, $schwierigkeit, 0.9, 99.1, true);
		$t=array(floor($t1[wert]), $t1[ergebnis]);
		$ergebnis=$t[0];
		
		if ($t[1] == "kritischer erfolg"){
			if ($schwierigkeitsgrad == 15) $ergebnis=50;
			else if ($schwierigkeitsgrad == -15) $ergebnis=75;
			else if ($schwierigkeitsgrad == -25) $ergebnis=110;
			else if ($schwierigkeitsgrad == -40) $ergebnis=125;
		}
		else if ($t[1] == "kritischer misserfolg") $ergebnis=-95;
		
		if ($ergebnis >=0){
			if ($schwierigkeit == 25){
				$schwierigkeit_text=50;
				if ($ergebnis>50) $ergebnis=50;	
			}
			else if ($schwierigkeit == 0){
				$schwierigkeit_text=75;
				$ergebnis+=30;
				if ($ergebnis>75) $ergebnis=75;
			}
			else if ($schwierigkeit == -25){
				$schwierigkeit_text=110;
				$ergebnis+=65;
				if ($ergebnis>110) $ergebnis=110;
			}
			else if ($schwierigkeit == -50){
				$schwierigkeit_text=125;
				$ergebnis+=80;
				if ($ergebnis>125) $ergebnis=125;
			}
		}
		
		//Ergebniswahrscheinlichkeiten (ohne kritische Ergebnisse)
		//
		//Einfach: FW 25  -> 50%  Chance auf >= 0  | 25%  Chance auf >= 25  | 1%  Chance auf 50
		//		   FW 50  -> 75%  Chance auf >= 0  | 50%  Chance auf >= 25  | 25% Chance auf 50
		//		   FW 75  -> 100% Chance auf >= 0  | 75%  Chance auf >= 25  | 50% Chance auf 50
		//		   FW 100 -> 100% Chance auf >= 0  | 100% Chance auf >= 25  | 75% Chance auf 50
		//
		//Normal:  FW 50  -> 50%  Chance auf >= 30 | 25%  Chance auf >= 55  | 5%  Chance auf 75
		//		   FW 75  -> 75%  Chance auf >= 30 | 50%  Chance auf >= 55  | 30% Chance auf 75
		//		   FW 100 -> 100% Chance auf >= 30 | 75%  Chance auf >= 55  | 55% Chance auf 75
		//
		//Schwer:  FW 50  -> 1%   Chance auf == 65
		//		   FW 75  -> 50%  Chance auf >= 65 | 25% Chance auf >= 90   | 5%  Chance auf 110
		//		   FW 100 -> 75%  Chance auf >= 65 | 50% Chance auf >= 90   | 30% Chance auf 110
		//
		//Spezial: FW 50  -> 1%   Chance auf == 80
		//		   FW 75  -> 25%  Chance auf >= 80 | 1%  Chance auf == 105
		//		   FW 100 -> 50%  Chance auf >= 80 | 25% Chance auf >= 105 | 5% Chance auf 125
			
		//Ungeniebares
		if ($ergebnis <= -95) $speise=translate_inline("eine uerst widerliche, schwarze Pampe, die bis zum Gemeindeplatz nach Aas stinkt und Halluzinationen verursacht");
		else if ($ergebnis <= -85 && $ergebnis > -95) $speise=translate_inline("eine uerst widerliche, schwarze Pampe, die ber den ganzen Festplatz stinkt");
		else if ($ergebnis <= -75 && $ergebnis > -85) $speise=translate_inline("eine uerst widerliche, schwarze Pampe");
		else if ($ergebnis <= -60 && $ergebnis > -75) $speise=translate_inline("eine widerliche, dunkelbraune Pampe");
		else if ($ergebnis <= -40 && $ergebnis > -60) $speise=translate_inline("eine ungeniebare, hellbraune Pampe");
		else if ($ergebnis <= -20 && $ergebnis > -40) $speise=translate_inline("eine hellbraune Pampe, die nur entfernt an etwas Ebares erinnert");
		else if ($ergebnis <= 0 && $ergebnis > -20) $speise=translate_inline("eine hellbraune Pampe ohne jeden Geschmack");
	
		//Einfaches
		switch ($ergebnis){
			case 1: $speise=translate_inline("eine geschlte Steckrbe"); break;
			case 2: $speise=translate_inline("eine geschlte und gekochte Steckrbe"); break;
			case 3: $speise=translate_inline("eine geschlte, geschnittene und gekochte Steckrbe"); break;
			case 4: $speise=translate_inline("einen etwas zhen Haferbrei"); break;
			case 5: $speise=translate_inline("einen etwas klumpigen Haferbrei"); break;
			case 6: $speise=translate_inline("einen einfachen, aber gelungenen Haferbrei"); break;
			case 7: $speise=translate_inline("einen gezuckerten Haferbrei"); break;
			case 8: $speise=translate_inline("einen Haferbrei mit Steckrbensalat"); break;
			case 9: $speise=translate_inline("einen gezuckerten Haferbrei mit Steckrbensalat"); break;
			case 10: $speise=translate_inline("eine einfache Kartoffelsuppe"); break;
			case 11: $speise=translate_inline("eine mit Salz verfeinerte Kartoffelsuppe"); break;
			case 12: $speise=translate_inline("eine mit Salz verfeinerte Kartoffelsuppe mit Steckrbensalat"); break;
			case 13: $speise=translate_inline("eine mit Salz und Krutern verfeinerte Kartoffelsuppe mit Steckrbensalat"); break;
			case 14: $speise=translate_inline("eine formvollendet gewrzte Kartoffelsuppe mit Steckrbensalat und Haferbrei als Nachtisch"); break;
			case 15: $speise=translate_inline("eine leckere Kartoffel-Steckrbensuppe mit gezuckertem Haferbrei als Nachtisch"); break;
			case 16: $speise=translate_inline("eine leckere Kartoffel-Steckrbensuppe mit einem Apfel-Birnen-Salat als Nachtisch"); break;
			case 17: $speise=translate_inline("eine leckere Kartoffel-Steckrbensuppe mit einem schn dekorierten Apfel-Birnen-Salat als Nachtisch"); break;
			case 18: $speise=translate_inline("eine leckere Kartoffelsuppe und einen Eintopf aus Kartoffeln und Mohrrben mit einem Apfel-Birnensalat als Nachtisch"); break;
			case 19: $speise=translate_inline("eine wrzige Kartoffelsuppe und einen Eintopf aus Kartoffeln, Erbsen und Mohrrben mit einem Apfel-Birnensalat als Nachtisch"); break;
			case 20: $speise=translate_inline("eine vorzgliche Kartoffelsuppe und einen Eintopf aus Kartoffeln, Erbsen, Bohnen und Mohrrben mit einem Apfel-Birnensalat als Nachtisch"); break;
			case 21: $speise=translate_inline("eine vorzgliche Kartoffelsuppe und einen schndekorierten Eintopf aus Kartoffeln, Erbsen, Bohnen und Mohrrben mit einem Apfel-Birnensalat als Nachtisch"); break;
			case 22: $speise=translate_inline("eine vorzgliche Kartoffelsuppe und einen schndekorierten Eintopf aus Kartoffeln, Erbsen, Bohnen und Mohrrben mit einem verzierten Apfel-Birnensalat als Nachtisch"); break;
			case 23: $speise=translate_inline("eine Erbsensuppe und Bratkartoffeln mit Spiegeleiern sowie einen vorzglichen Apfelkompott"); break;
			case 24: $speise=translate_inline("eine feindekorierte Erbsensuppe und Bratkartoffeln mit Spiegeleiern sowie einen vorzglichen Apfel-Birnen-Kompott"); break;
			case 25: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose Bratkartoffeln mit Spiegeleiern sowie einen vorzglichen Apfel-Birnen-Kompott"); break;
			case 26: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose, gleichfrmige Bratkartoffeln mit Spiegeleiern sowie einen vorzglichen Apfel-Birnen-Kompott"); break;
			case 27: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose, gleichfrmige Bratkartoffeln mit Rhrei sowie einen vorzglichen Apfel-Birnen-Kompott"); break;
			case 28: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose, gleichfrmige Bratkartoffeln mit wrzigem Rhrei sowie einen vorzglichen Apfel-Birnen-Kompott"); break;
			case 29: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose, gleichfrmige Bratkartoffeln mit wrzigem Rhrei sowie einen Bratapfel auf Birnenkompott"); break;
			case 30: $speise=translate_inline("eine feindekorierte Erbsensuppe und makellose, gleichfrmige Bratkartoffeln mit wrzigem Rhrei sowie einen verzierten Bratapfel auf Birnenkompott"); break;
			case 31: $speise=translate_inline("eine dekorierte Mhren-Erbsensuppe und goldbraune Eierpfannkuchen sowie einen einfachen Quark"); break;
			case 32: $speise=translate_inline("eine dekorierte Mhren-Erbsensuppe und goldbraune Eierpfannkuchen sowie einen feingezuckerten Quark"); break;
			case 33: $speise=translate_inline("eine dekorierte Mhren-Erbsensuppe und goldbraune Eierpfannkuchen mit Apfelstckchen sowie einen feingezuckerten Quark"); break;
			case 34: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune Eierpfannkuchen mit Apfelstckchen sowie einen feingezuckerten Quark"); break;
			case 35: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune, gleichmige Eierpfannkuchen mit Apfelstckchen sowie einen feingezuckerten Quark"); break;
			case 36: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune, gleichmige Eierpfannkuchen mit Apfelstckchen sowie einen feingezuckerten, cremigen Quark"); break;
			case 37: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune, gleichmige Eierpfannkuchen mit Apfel- und Birnenstckchen sowie einen feingezuckerten, cremigen Quark"); break;
			case 38: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune, gleichmige Eierpfannkuchen mit Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark"); break;
			case 39: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark"); break;
			case 40: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und verzierte, goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark"); break;
			case 41: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und verzierte, goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark mit Kirschen"); break;
			case 42: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und verzierte, goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark mit ausgewhlten Kirschen"); break;
			case 43: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und verzierte, goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark mit ausgewhlten, halbierten Kirschen"); break;
			case 44: $speise=translate_inline("eine feindekorierte Mhren-Erbsensuppe und verzierte, goldbraune, gleichmige Eierpfannkuchen mit gleichmigen Apfel- und Birnenstckchen sowie einen feingezuckerten, besonders cremigen Quark mit ausgewhlten, kunstvoll geschnittenen Kirschen"); break;
			case 45: $speise=translate_inline("eine dekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl sowie einen vorzglichen Sahnequark mit Mandarinen"); break;
			case 46: $speise=translate_inline("eine feindekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl sowie einen vorzglichen Sahnequark mit Mandarinen"); break;
			case 47: $speise=translate_inline("eine feindekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl sowie einen vorzglichen, verzierten Sahnequark mit Mandarinen"); break;
			case 48: $speise=translate_inline("eine feindekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl und Spiegeleiern sowie einen vorzglichen, verzierten Sahnequark mit Mandarinen"); break;
			case 49: $speise=translate_inline("eine feindekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl in einer Krutersoe sowie einen vorzglichen, verzierten Sahnequark mit Mandarinen"); break;
			case 50: $speise=translate_inline("eine feindekorierte Kartoffel-Mhren-Erbsensuppe und Salzkartoffeln mit Rosenkohl in einer besonders delikaten Krutersoe sowie einen vorzglichen, verzierten Sahnequark mit Mandarinen"); break;
		
			//Normales
			case 51: $speise=translate_inline("eine Zwiebelsuppe und einen Kartoffelauflauf mit Erbsen, Mhren und Zwiebeln sowie einen vorzglichen Sahnequark mit Preiselbeeren"); break;
			case 52: $speise=translate_inline("eine dekorierte Zwiebelsuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren und Zwiebeln sowie einen vorzglichen Sahnequark mit Preiselbeeren"); break;
			case 53: $speise=translate_inline("eine feindekorierte Zwiebelsuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen Sahnequark mit Preiselbeeren"); break;
			case 54: $speise=translate_inline("eine feindekorierte Zwiebelsuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen, verzierten Sahnequark mit Preiselbeeren"); break;
			case 55: $speise=translate_inline("eine dekorierte Gemsesuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen, verzierten Sahnequark mit Preiselbeeren"); break;
			case 56: $speise=translate_inline("eine feindekorierte Gemsesuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen, verzierten Sahnequark mit Preiselbeeren"); break;
			case 57: $speise=translate_inline("eine feindekorierte, vorzgliche Gemsesuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen, verzierten Sahnequark mit Preiselbeeren"); break;
			case 58: $speise=translate_inline("eine feindekorierte, vorzgliche Gemsesuppe und einen mit Kse berbackenen Kartoffelauflauf mit Erbsen, Mhren, Zwiebeln und erlesenen Krutern sowie einen vorzglichen, verzierten Sahnequark mit Preiselbeeren und einer Sahnehaube"); break;
			case 59: $speise=translate_inline("eine feindekorierte, vorzgliche Gemsesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit Kirschen"); break;
			case 60: $speise=translate_inline("eine vorzgliche Tomatencremesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit Kirschen"); break;
			case 61: $speise=translate_inline("eine vorzgliche Tomatencremesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit heien Kirschen"); break;
			case 62: $speise=translate_inline("eine dekorierte, vorzgliche Tomatencremesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit heien Kirschen"); break;
			case 63: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit heien Kirschen"); break;
			case 64: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und einen mit Kse berbackenen Kartoffel-Auberginen-Auflauf sowie einen Vanillequark mit erlesenen, heien Kirschen"); break;
			case 65: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und selbstgemachte Bandnudeln mit einer wrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen"); break;
			case 66: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und selbstgemachte Bandnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen"); break;
			case 67: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und selbstgemachte Bandnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 68: $speise=translate_inline("eine feindekorierte, vorzgliche Tomatencremesuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 69: $speise=translate_inline("eine einfache Spargelsuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 70: $speise=translate_inline("eine einfache, dekorierte Spargelsuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 71: $speise=translate_inline("eine einfache, feindekorierte Spargelsuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 72: $speise=translate_inline("eine vorzgliche, feindekorierte Spargelsuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 73: $speise=translate_inline("eine vorzgliche, feindekorierte Spargelsuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Zwei-Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 74: $speise=translate_inline("eine dekorierte Spargelcremesuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Zwei-Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
			case 75: $speise=translate_inline("eine feindekorierte Spargelcremesuppe und selbstgemachte Spiralnudeln mit einer feinwrzigen Zwei-Kse-Soe sowie einen Vanillepudding mit erlesenen Kirschen aus den Hochebenen von Chrizzak"); break;
		
			//Schwieriges
			case 76: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte Gnocchi mit einer feurigen Drei-Kse-Soe sowie einen Vanillepudding mit echten Schokoladenstckchen"); break;
			case 77: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Drei-Kse-Soe sowie einen Vanillepudding mit echten Schokoladenstckchen"); break;
			case 78: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Edelkse-Soe sowie einen Vanillepudding mit echten Schokoladenstckchen"); break;
			case 79: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Edelkse-Soe sowie einen Vanillepudding mit echten, geraspelten Schokoladenstckchen"); break;
			case 80: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Edelkse-Soe sowie einen Vanillepudding mit echten, feingeraspelten Schokoladenstckchen"); break;
			case 81: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Soe aus trollischem Edelkse sowie einen Vanillepudding mit echten, feingeraspelten Schokoladenstckchen"); break;
			case 82: $speise=translate_inline("eine feindekorierte, vorzgliche Spargelcremesuppe und selbstgemachte, gleichfrmige Gnocchi mit einer feurigen Soe aus trollischem Edelkse sowie einen Vanillepudding mit echten, feingeraspelten Schokoladenstckchen und einer Sahnehaube"); break;
			case 83: $speise=translate_inline("einen feindekorierten Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahnespeise mit einem Hauch von Trffel"); break;
			case 84: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahnespeise mit einem Hauch von Trffel"); break;
			case 85: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahnespeise mit einem Hauch von Trffel"); break;
			case 86: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahneerdbeerspeise mit einem Hauch von Trffel"); break;
			case 87: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahneerdbeerspeise mit einem halben Trffel"); break;
			case 88: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahneerdbeerspeise mit einem ganzen Trffel"); break;
			case 89: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzig-cremigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahneerdbeerspeise mit einem halben Trffel"); break;
			case 90: $speise=translate_inline("einen feindekorierten, vorzglichen Salat und einen gemischten Teller vorzglichster Nudeln mit einer wrzig-cremigen Sahnesoe aus trollischem Edelkse und Gebirgskrutern aus dem Drassok sowie eine raffinierte Sahneerdbeerspeise mit einem ganzen Trffel"); break;
			case 91: $speise=translate_inline("einen feindekorierten, vorzglichen Fruchtsalat und eine zweiteilige Hauptspeise aus elfischen Cabuc-Kartoffeln und Waldkrutern sowie eine Waldbeerenspeise mit einem Hauch des teuren Trffelzuckers aus den berseeischen Handelskolonien"); break;
			case 92: $speise=translate_inline("einen vorzglichen elfischen Fruchtsalat und eine zweiteilige Hauptspeise aus elfischen Cabuc-Kartoffeln und Waldkrutern sowie eine Waldbeerenspeise mit einem Hauch des teuren Trffelzuckers aus den berseeischen Handelskolonien"); break;
			case 93: $speise=translate_inline("einen vorzglichen elfischen Fruchtsalat und eine zweiteilige Hauptspeise aus elfischen Cabuc-Kartoffeln und Krutern aus den Wldern der Hochelfen sowie eine Waldbeerenspeise mit einem Hauch des teuren Trffelzuckers aus den berseeischen Handelskolonien"); break;
			case 94: $speise=translate_inline("einen vorzglichen elfischen Fruchtsalat und eine zweiteilige Hauptspeise aus elfischen Cabuc-Kartoffeln und Krutern aus den Wldern der Hochelfen sowie eine Waldbeerenspeise mit einer Haube des teuren Trffelzuckers aus den berseeischen Handelskolonien"); break;
			case 95: $speise=translate_inline("einen vorzglichen elfischen Fruchtsalat und eine zweiteilige Hauptspeise aus elfischen Cabuc-Kartoffeln und Krutern aus den Wldern der Hochelfen sowie eine Waldbeerenspeise mit einer entzndeten Haube des teuren Trffelzuckers aus den berseeischen Handelskolonien"); break;
			case 96: $speise=translate_inline("ein flambiertes Vanillesufflet und mit Frchten gefllte Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren"); break;
			case 97: $speise=translate_inline("ein flambiertes Vanillesufflet und mit Frchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren"); break;
			case 98: $speise=translate_inline("ein flambiertes Vanillesufflet und mit Frchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren und eine vorzgliche Weincreme"); break;
			case 99: $speise=translate_inline("ein flambiertes Vanillesufflet und mit Frchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 100: $speise=translate_inline("ein flambiertes Schokoladensufflet und mit Frchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 101: $speise=translate_inline("ein flambiertes Schokoladensufflet und mit elfischen Waldfrchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 102: $speise=translate_inline("ein flambiertes Schokoladensufflet und mit elfischen Waldfrchten gefllte trollische Edelpilze mit einer vielfarbigen cremigen Soe aus Ratschukbeeren und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 103: $speise=translate_inline("ein flambiertes Schokoladen-Vanille-Sufflet und mit elfischen Waldfrchten gefllte drassorianische Stollenpilze, garniert mit handverlesenen Sumbrastengeln und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 104: $speise=translate_inline("ein flambiertes Schokoladen-Vanille-Sufflet und mit elfischen Waldfrchten gefllte drassorianische Stollenpilze, garniert mit handverlesenen Sumbrastengeln aus Chrizzak und eine vorzgliche Weincreme nach einem Rezept der Gromutter von Groinquisitor Resal"); break;
			case 105: $speise=translate_inline("ein flambiertes Schokoladen-Vanille-Sufflet und mit elfischen Waldfrchten gefllte drassorianische Stollenpilze, garniert mit handverlesenen Sumbrastengeln aus Chrizzak und eine hm ... 'vorzgliche' Rbencreme nach einem Rezept der Mutter des allmchtigen Zrarek"); break;
			case 106: $speise=translate_inline("ein flambiertes Schokoladen-Vanille-Sufflet und mit elfischen Waldfrchten gefllte drassorianische Stollenpilze, garniert mit handverlesenen Sumbrastengeln aus Chrizzak und eine hm ... 'vorzgliche' Rbencreme nach einem Rezept der Mutter des allmchtigen Zrarek"); break;
			case 107: $speise=translate_inline("eine kunstvolle Zusammenstellung der traditionellen Lieblingsspeisen aller groen Vlker"); break;
			case 108: $speise=translate_inline("eine kunstvolle Zusammenstellung der traditionellen Lieblingsspeisen aller groen Vlker, verfeinert mit dem Wissen und Knnen eines Meisterkochs"); break;
			case 109: $speise=translate_inline("eine kunstvolle Zusammenstellung der traditionellen Lieblingsspeisen aller groen Vlker, verfeinert mit dem Wissen und Knnen eines Meisterkochs sowie hm ... eine 'vorzgliche' Steckrbensahnespeise nach einem Rezept der Gemahlin des allmchtigen Zrarek"); break;
			case 110: $speise=translate_inline("eine kunstvolle Zusammenstellung der traditionellen Lieblingsspeisen aller groen Vlker, verfeinert mit dem Wissen und Knnen eines Meisterkochs sowie hm ... eine 'vorzgliche' Steckrbensahnespeise nach einem Rezept der Gemahlin des allmchtigen Zrarek mit einem Schuss Met"); break;
		
			//Spezialitten
			case 111: $speise=translate_inline("trollische Chr'phala-Pilze, die atemberaubendste Pilzspeise im ganzen Land"); break;
			case 112: $speise=translate_inline("echsische Zra'kras, eine Keksvariation aus den edelsten Zutaten im ganzen Land"); break;
			case 113: $speise=translate_inline("drassorianische Muldenbronks, ein ... nun ja, im Grunde sind es Rben, aber sie schmecken selbst den Elfen vorzglich"); break;
			case 114: $speise=translate_inline("eine raffinierte Kombination der raffiniertesten Speisen der Wald- und Hochelfen, genannt 'Je'direy'"); break;
			case 115: $speise=translate_inline("ein wahrhaft frstliches Fnfgngemen"); break;
			case 116: $speise=translate_inline("ein wahrhaft knigliches Sechsgngemen"); break;
			case 117: $speise=translate_inline("ein wahrhaft kaiserliches Siebengngemen"); break;
			case 118: $speise=translate_inline("ein wahrhaft gottkaiserliches Achtgngemen"); break;
			case 119: $speise=translate_inline("ein wahrhaft berirdisches Neungngemen"); break;
			case 120: $speise=translate_inline("ein wahrhaft gttliches Zehngngemen"); break;
			case 121: $speise=translate_inline("ein wahrhaft unbeschreibliches Elfgngemen"); break;
			case 122: $speise=translate_inline("das beste Zwlfgngemen, das diese Welt jemals gesehen hat und sehen wird"); break;
			case 123: $speise=translate_inline("ein Dreizehngngemen, das sogar Ramius' Interesse auf sich gezogen hat"); break;
			case 124: $speise=translate_inline("das Vierzehngngemen, das selbst das gttliche Ambrosia in den Schatten stellt und wofr Dich mancher Gott zu seinesgleichen zhlen wrde"); break;
			case 125: $speise=translate_inline("einen leeren Teller, den Du mit langen Worten zu Kunst erklrst und der als kulinarische Revolution in die Geschichte eingeht"); break;
		}
		$punkte=$ergebnis;
		if ($ergebnis<0) $punkte=0;
	
		if ($ergebnis >0) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren. Schlielich berreichst Du der Jury `^%s`@, wofr Du `^%s`@ von den `^%s`@ Punkten bekommst, die auf diesem Schwierigkeitsgrad mglich sind.`n`n", $speise, $punkte, $schwierigkeit_text);
		if ($ergebnis <=0 && $ergebnis > -20) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, etwas beschmt berreichst Du der Jury `^%s`@, wofr Du natrlich keine Punkte bekommst.`n`n", $speise);
		if ($ergebnis <= -20 && $ergebnis > -40) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, etwas beschmt berreichst Du der Jury `^%s`@, wofr Du natrlich keine Punkte bekommst.`n`n", $speise); 
		if ($ergebnis <= -40 && $ergebnis > -60) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, mit hochrotem Gesicht berreichst Du der Jury `^%s`@, wofr Du natrlich keine Punkte bekommst.`n`n", $speise);
		if ($ergebnis <= -60 && $ergebnis > -75) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, mit hochrotem Gesicht berreichst Du der Jury `^%s`@. Angewidert wenden sich die Fachleute von Dir ab. Die umstehenden Zuschauer buhen Dich aus.`n`n", $speise);
		if ($ergebnis <= -75 && $ergebnis > -85) output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, mit hochrotem Gesicht und einem mulmigen Gefhl berreichst Du der Jury `^%s`@. Die Fachleute sind emprt und die umstehenden Zuschauer schtteln die Kpfe.`n`n", $speise);
		if ($ergebnis <= -85 && $ergebnis > -100){
			require_once("lib/commentary.php");
			output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, mit hochrotem Gesicht und dem Gefhl, Dich gleich bergeben zu mssen berreichst Du der Jury `^%s`@. Vor lauter Kotzerei kommt keiner der Fachleute dazu, Dir seine Meinung ber dieses Teufelszeug zu sagen.`n`n", $speise);
			$comment=translate_inline("/me `\$s Kochversuch verbreitet seinen widerwrtigen Gestank ber den gesamten Festplatz, wovon sich einige Leute bergeben mssen und zum Teil sogar ohnmchtig werden.");
			injectcommentary(wettkampf, "", $comment, $schema=false);
		}
		if ($ergebnis <= -100){
			require_once("lib/commentary.php");
			output("`@Du hast alles gegeben und Deine Plne immer wieder verndert, um blo nichts Milungenes zu prsentieren ... Aber es hat nichts gentzt, mit hochrotem Gesicht und dem Gefhl, Dich gleich bergeben zu mssen, das von dem seltsamen Wahnzustand begleitet wird, dass Du ein dreischwnziges Eichhrnchen bist, berreichst Du der Jury `^%s`@. Ein Teil der umstehenden Zuschauer bergibt sich, whrend ein anderer Teil im Boden nach Nssen grbt. Die Fachleute sind allesamt ohnmchtig geworden.`n`n", $speise);
			$comment=translate_inline("/me `\$s Kochversuch verbreitet seinen ekligen Aasgeruch ber den gesamten Festplatz. Die Anwesenden werden ohnmchtig, bergeben sich oder bekommen schwere Halluzinationen.");
			injectcommentary(wettkampf, "", $comment, $schema=false);		
			$comment=translate_inline("/me `\$s Kochversuch verbreitet seinen ekligen Aasgeruch ber den gesamten Gemeindeplatz. Die Anwesenden werden ohnmchtig, bergeben sich oder bekommen schwere Halluzinationen.");
			injectcommentary(village, "", $comment, $schema=false);		
		}
		
		//Folgende Werte werden gespeichert, damit sich die Sortierung der Bestenlisten nicht ndert, wenn
		//jemand bspw. einen Level aufsteigt:
		set_module_pref("wkochenlevel", $session[user][level], "wettkampf");
		set_module_pref("wkochendk", $session[user][dragonkills], "wettkampf");
		set_module_pref("wkochenfw", $kochen, "wettkampf");
		
		if ($ergebnis < 0) $ergebnis=0;
		set_module_pref("wkochen", $ergebnis, "wettkampf");
		set_module_pref("letztespeise", $speise, "wettkampf");
		
		$bestkochen=get_module_pref("bestkochen", "wettkampf");
		
		if ($ergebnis > $bestkochen){
			set_module_pref("bestkochen", $ergebnis, "wettkampf");
			set_module_pref("bestespeise", $speise, "wettkampf");
			set_module_pref("bestkochenlevel", $session[user][level], "wettkampf");
			set_module_pref("bestkochendk", $session[user][dragonkills], "wettkampf");
			set_module_pref("bestkochenfw", $kochen, "wettkampf");
		}
		
		output("`@<a href='runmodule.php?module=wettkampf&op1=aufruf&subop1=wkochen&subop2=kochen'>Weiter.</a>", true);
		addnav("","runmodule.php?module=wettkampf&op1=aufruf&subop1=wkochen&subop2=kochen");
		addnav("Weiter","runmodule.php?module=wettkampf&op1=aufruf&subop1=wkochen&subop2=kochen");
	page_footer();
}
?>